## bettercap 2.32.0

=== Makefile ===
TARGET   ?= bettercap
PACKAGES ?= core firewall log modules network packets session tls
PREFIX   ?= /usr/local
GO       ?= go

all: build

build: resources
	$(GOFLAGS) $(GO) build -o $(TARGET) .

build_with_race_detector: resources
	$(GOFLAGS) $(GO) build -race -o $(TARGET) .

resources: network/manuf.go

network/manuf.go:
	@python3 ./network/make_manuf.py

install:
	@mkdir -p $(DESTDIR)$(PREFIX)/share/bettercap/caplets
	@cp bettercap $(DESTDIR)$(PREFIX)/bin/

docker:
	@docker build -t bettercap:latest .

test:
	$(GOFLAGS) $(GO) test -covermode=atomic -coverprofile=cover.out ./...

html_coverage: test
	$(GOFLAGS) $(GO) tool cover -html=cover.out -o cover.out.html

benchmark: server_deps
	$(GOFLAGS) $(GO) test -v -run=doNotRunTests -bench=. -benchmem ./...

fmt:
	$(GO) fmt -s -w $(PACKAGES)

clean:
	$(RM) $(TARGET)
	$(RM) -r build

.PHONY: all build build_with_race_detector resources install docker test html_coverage benchmark fmt clean

=== debian/changelog ===
bettercap (2.32.0-1) unstable; urgency=medium

  * Initial release (Closes: #865338), this package was based on work already
    made by Sophie Brun for Kali Linux, thanks.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 06 Mar 2022 01:28:30 +0000

=== debian/control ===
Source: bettercap
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-acarl005-stripansi-dev,
               golang-github-adrianmo-go-nmea-dev,
               golang-github-antchfx-jsonquery-dev,
               golang-github-bettercap-nrf24-dev,
               golang-github-bettercap-readline-dev,
               golang-github-chifflier-nfqueue-go-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-elazarl-goproxy-dev,
               golang-github-evilsocket-islazy-dev,
               golang-github-evilsocket-recording-dev,
               golang-github-gobwas-glob-dev,
               golang-github-google-go-github-dev,
               golang-github-google-gopacket-dev,
               golang-github-google-gousb-dev,
               golang-github-gorilla-mux-dev,
               golang-github-hashicorp-mdns-dev,
               golang-github-jpillora-go-tld-dev,
               golang-github-malfunkt-iprange-dev,
               golang-github-mdlayher-dhcp6-dev,
               golang-github-miekg-dns-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-robertkrimen-otto-dev,
               golang-github-tarm-serial-dev,
               golang-github-thoj-go-ircevent-dev,
               golang-golang-x-net-dev,
               golang-vhost-dev,
               golang-websocket-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/pkg-security-team/bettercap
Vcs-Git: https://salsa.debian.org/pkg-security-team/bettercap.git
Homepage: https://www.bettercap.org
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bettercap/bettercap

Package: bettercap
Architecture: any
Depends: ca-certificates,
         iproute2,
         iptables,
         iw,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Complete, modular, portable and easily extensible MITM framework
 The Swiss Army knife for 802.11, BLE, IPv4 and IPv6 networks reconnaissance
 and MITM attacks.
 .
 bettercap is a powerful, easily extensible and portable framework  written
 in Go which aims to offer to security researchers, red teamers and reverse
 engineers an easy to use, all-in-one solution with all the features they
 might possibly need for performing reconnaissance and attacking WiFi
 networks, Bluetooth Low Energy devices, wireless HID devices and Ethernet
 networks.
 .
 Main Features:
  * WiFi networks scanning, deauthentication attack, clientless PMKID
    association attack and automatic WPA/WPA2 client handshakes capture.
  * Bluetooth Low Energy devices scanning, characteristics enumeration,
    reading and writing.
  * 2.4Ghz wireless devices scanning and MouseJacking attacks with
    over-the-air HID frames injection (with DuckyScript support).
  * Passive and active IP network hosts probing and recon.
  * ARP, DNS, NDP and DHCPv6 spoofers for MITM attacks on IPv4 and IPv6
    based networks.
  * Proxies at packet level, TCP level and HTTP/HTTPS application level
    fully scriptable with easy to implement javascript plugins.
  * A powerful network sniffer for credentials harvesting which can also be
    used as a network protocol fuzzer.
  * A very fast port scanner.
  * A powerful REST API with support for asynchronous events notification
    on websocket to orchestrate your attacks easily.
  * A very convenient web UI.
  * More! (https://www.bettercap.org/modules/)
 .
 This package contains a Swiss Army knife for 802.11, BLE and Ethernet networks
 reconnaissance and attacks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

# modules/ble
# depends on the package "github.com/bettercap/gatt" which is not yet
# present in the debian archive, so it has been removed.
#
# modules/gps
# depends on the package "github.com/koppacetic/go-gpsd" which is not yet
# present in the debian archive, so it has been removed.
override_dh_auto_configure:
	dh_auto_configure
	rm -v _build/src/github.com/bettercap/bettercap/network/ble.go
	rm -v _build/src/github.com/bettercap/bettercap/network/ble_device.go
	rm -rv _build/src/github.com/bettercap/bettercap/modules/ble
	rm -rv _build/src/github.com/bettercap/bettercap/modules/gps
	rm -v _build/src/github.com/bettercap/bettercap/modules/events_stream/events_view_ble.go

override_dh_auto_test:
	dh_auto_test || echo "Test suite failure, but keeping on anyway"

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(.*)$/bettercap-$1/" \
https://github.com/bettercap/bettercap/releases .*/v?(\d.*)\.tar\.gz

## bettercap 2.32.0+git20240107.924ff57

=== debian/changelog ===
bettercap (2.32.0+git20240107.924ff57-3) unstable; urgency=medium

  * Move bettercap.service to canonical location. (Closes: #1073614)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 28 Jun 2024 11:48:42 +0000

bettercap (2.32.0+git20240107.924ff57-2) unstable; urgency=medium

  * Drop debian/patches/dummylogger.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 17 Jun 2024 13:40:18 +0000

bettercap (2.32.0+git20240107.924ff57-1) unstable; urgency=medium

  * Upload to unstable.
  * Add net-tools to the Depends field because
    it is needed for the mac.changer module.
  * Add debian/bettercap.lintian-overrides.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 28 May 2024 17:17:11 +0000

bettercap (2.32.0+git20240107.924ff57-1~exp2) experimental; urgency=medium

  * Add golang-github-bettercap-gatt-dev to Build-Depends. (Closes: #1012145)
  * Drop override_dh_auto_configure.
  * Drop debian/patches/drop-ble-{functions,module}.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 27 May 2024 17:58:15 +0000

bettercap (2.32.0+git20240107.924ff57-1~exp1) experimental; urgency=medium

  * New upstream git snapshot version 2.32.0+git20240107.924ff57.
  * Refresh and modify the patch debian/patches/drop-ble-and-gps-modules.patch.
  * Rename debian/patches/drop-ble-and-gps-modules.patch
    to debian/patches/drop-ble-module.patch.
  * Add golang-github-stratoberry-go-gpsd-dev to Build-Depends field.
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 10 May 2024 18:20:05 +0000

bettercap (2.32.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Update packaging copyright years.
  * Update the search rule in debian/watch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 25 Jul 2023 12:24:07 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                golang-github-acarl005-stripansi-dev,
                golang-github-adrianmo-go-nmea-dev,
                golang-github-antchfx-jsonquery-dev,
+               golang-github-bettercap-gatt-dev,
                golang-github-bettercap-nrf24-dev,
                golang-github-bettercap-readline-dev,
                golang-github-chifflier-nfqueue-go-dev,
@@ -29,12 +30,13 @@
                golang-github-miekg-dns-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-robertkrimen-otto-dev,
+               golang-github-stratoberry-go-gpsd-dev,
                golang-github-tarm-serial-dev,
                golang-github-thoj-go-ircevent-dev,
                golang-golang-x-net-dev,
                golang-vhost-dev,
                golang-websocket-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/bettercap
 Vcs-Git: https://salsa.debian.org/pkg-security-team/bettercap.git
 Homepage: https://www.bettercap.org
@@ -47,6 +49,7 @@
          iproute2,
          iptables,
          iw,
+         net-tools,
          ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}

## bettercap 2.33.0

=== debian/changelog ===
bettercap (2.33.0-1) unstable; urgency=medium

  * New upstream version 2.33.0.
  * Add golang-github-florianl-go-nfqueue-dev to Build-Depends field.
  * Drop golang-github-chifflier-nfqueue-go-dev to Build-Depends field.
  * Update upstream copyright.
  * Remove the GPL-2+ license paragraph.
  * Update versioned dependencies as per go.mod.
  * Change from golang-websocket-dev to golang-github-gorilla-websocket-dev
    in the Build-Depends field.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 18 Aug 2024 20:54:15 +0000

bettercap (2.32.0+git20240107.924ff57-5) unstable; urgency=medium

  * Add debian/patches/disable-install-update-bettercap.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 06 Aug 2024 18:24:41 +0000

bettercap (2.32.0+git20240107.924ff57-4) unstable; urgency=medium

  * Add debian/patches/disable-install-update-caplets.patch.
    Thanks to Sophie Brun <sophie@offensive-security.com>.
  * Add bettercap-caplets to Recommends field.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 06 Aug 2024 15:06:45 +0000

=== debian/control ===
--- 
+++ 
@@ -7,35 +7,35 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-acarl005-stripansi-dev,
-               golang-github-adrianmo-go-nmea-dev,
-               golang-github-antchfx-jsonquery-dev,
-               golang-github-bettercap-gatt-dev,
-               golang-github-bettercap-nrf24-dev,
-               golang-github-bettercap-readline-dev,
-               golang-github-chifflier-nfqueue-go-dev,
-               golang-github-dustin-go-humanize-dev,
-               golang-github-elazarl-goproxy-dev,
-               golang-github-evilsocket-islazy-dev,
-               golang-github-evilsocket-recording-dev,
-               golang-github-gobwas-glob-dev,
+               golang-github-acarl005-stripansi-dev (>= 0.0~git20180116.5a71ef0),
+               golang-github-adrianmo-go-nmea-dev (>= 1.9.0),
+               golang-github-antchfx-jsonquery-dev (>= 1.3.5),
+               golang-github-bettercap-gatt-dev (>= 0.0~git20240808.ec4935e),
+               golang-github-bettercap-nrf24-dev (>= 0.0~git20190219.aa37e6d),
+               golang-github-bettercap-readline-dev (>= 1.4+git20210228.655e48b),
+               golang-github-dustin-go-humanize-dev (>= 1.0.1),
+               golang-github-elazarl-goproxy-dev (>= 1.1+git20240726.8b0c205),
+               golang-github-evilsocket-islazy-dev (>= 1.11.0),
+               golang-github-evilsocket-recording-dev (>= 0.0~git20190408.3ce1dcf),
+               golang-github-florianl-go-nfqueue-dev (>= 2.0.0),
+               golang-github-gobwas-glob-dev (>= 0.2.3+git20181002.e7a84e9),
                golang-github-google-go-github-dev,
-               golang-github-google-gopacket-dev,
-               golang-github-google-gousb-dev,
-               golang-github-gorilla-mux-dev,
-               golang-github-hashicorp-mdns-dev,
-               golang-github-jpillora-go-tld-dev,
-               golang-github-malfunkt-iprange-dev,
-               golang-github-mdlayher-dhcp6-dev,
-               golang-github-miekg-dns-dev,
-               golang-github-mitchellh-go-homedir-dev,
+               golang-github-google-gopacket-dev (>= 1.1.19),
+               golang-github-google-gousb-dev (>= 1.1.3),
+               golang-github-gorilla-mux-dev (>= 1.8.1),
+               golang-github-gorilla-websocket-dev (>= 1.5.3),
+               golang-github-hashicorp-mdns-dev (>= 1.0.5),
+               golang-github-jpillora-go-tld-dev (>= 1.2.1),
+               golang-github-malfunkt-iprange-dev (>= 0.9.0),
+               golang-github-mdlayher-dhcp6-dev (>= 0.0~git20190311.2a67805),
+               golang-github-miekg-dns-dev (>= 1.1.61),
+               golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
                golang-github-robertkrimen-otto-dev,
-               golang-github-stratoberry-go-gpsd-dev,
+               golang-github-stratoberry-go-gpsd-dev (>= 1.3.0),
                golang-github-tarm-serial-dev,
-               golang-github-thoj-go-ircevent-dev,
+               golang-github-thoj-go-ircevent-dev (>= 0.2+git20210723.73e4444),
                golang-golang-x-net-dev,
-               golang-vhost-dev,
-               golang-websocket-dev
+               golang-vhost-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/bettercap
 Vcs-Git: https://salsa.debian.org/pkg-security-team/bettercap.git
@@ -52,6 +52,7 @@
          net-tools,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: bettercap-caplets
 Built-Using: ${misc:Built-Using}
 Description: Complete, modular, portable and easily extensible MITM framework
  The Swiss Army knife for 802.11, BLE, IPv4 and IPv6 networks reconnaissance

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	dh_auto_test || echo "Test suite failure, but keeping on anyway"

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(.*)$/bettercap-$1/" \
https://github.com/bettercap/bettercap/tags .*/v?(\d.*)\.tar\.gz

## bettercap 2.40.0

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,18 @@
 
 all: build
 
-build: resources
+build: resources ui
 	$(GOFLAGS) $(GO) build -o $(TARGET) .
 
 build_with_race_detector: resources
 	$(GOFLAGS) $(GO) build -race -o $(TARGET) .
 
 resources: network/manuf.go
+
+ui: ./modules/ui/ui/dist/ui/index.html
+
+./modules/ui/ui/dist/ui/index.html:
+	@cd modules/ui/ui && make build
 
 network/manuf.go:
 	@python3 ./network/make_manuf.py

=== debian/changelog ===
bettercap (2.40.0-0parrot2) lory-updates; urgency=medium

  * Rebuild package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 20 Jan 2025 00:30:19 +0100

bettercap (2.40.0-0parrot1) lory-updates; urgency=medium

  * New upstream version 2.40.0

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 11 Dec 2024 15:29:57 +0100

bettercap (2.32.0-0parrot1) rolling-testing; urgency=medium

  * New upstream version 2.32.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 08 Sep 2021 00:53:28 +0700

bettercap (2.31.1-0parrot1) rolling-testing; urgency=medium

  * New upstream version 2.31.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 02 Jun 2021 02:28:36 +0700

bettercap (2.31.0-parrot0) rolling-testing; urgency=medium

  * New upstream version 2.31.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 21 Apr 2021 23:44:12 +0700

bettercap (2.30.2-parrot0) rolling-testing; urgency=medium

  * New upstream version 2.30.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 17 Mar 2021 08:03:25 +0700

bettercap (2.30-parrot0) rolling-testing; urgency=medium

  * New upstream version 2.30

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 14 Mar 2021 00:19:42 +0700

bettercap (2:2.29-1parrot1) testing; urgency=medium

  * Import new Upstream package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 01 Feb 2021 13:23:03 +0100

bettercap (2:2.21.1-1parrot2) testing; urgency=medium

  * Increase version number.
  * Rebuild with updated dependencies.
  * Import parrot patches.

 -- Federica Marasà <marafed@parrotsec.org>  Fri, 29 Mar 2019 16:14:47 +0100

bettercap (2.21.1-1parrot1) testing; urgency=medium

  * Import new upstream version.
  * Bump debhelper-compat 12 version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 29 Mar 2019 16:06:57 +0100

bettercap (2:2.19-1parrot1) testing; urgency=medium

  * Import bettercap from kali.
  * Don't make it start at boot.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 29 Mar 2019 13:14:32 +0100

bettercap (2.19-0kali2) kali-dev; urgency=medium

  * Add iptables in Recommends

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Mar 2019 08:59:43 +0100

bettercap (2.19-0kali1) kali-dev; urgency=medium

  * Import new upstream version 2.19

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Mar 2019 15:53:51 +0100

bettercap (2.18-0kali1) kali-dev; urgency=medium

  * New upstream version 2.18

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 04 Mar 2019 14:50:27 +0100

bettercap (2.17-0kali1) kali-dev; urgency=medium

  * New upstream version 2.17
  * Update debian/copyright for new usptream release
  * Handle new bettercap-caplets packages
  * Install bettercap.service

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Feb 2019 15:53:20 +0100

bettercap (2.16-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Feb 2019 09:38:40 +0100

bettercap (2.15-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Feb 2019 11:26:47 +0100

bettercap (2.14-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Feb 2019 11:31:24 +0100

bettercap (2.13.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Jan 2019 10:52:47 +0100

bettercap (2.13-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Jan 2019 11:21:58 +0100

bettercap (2.12-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Jan 2019 14:41:03 +0100

bettercap (2.11.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh patches and remove fix-ip-route-parser.patch and fix-lan.go.patch
    merged upstream

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Jan 2019 15:01:02 +0100

bettercap (2.11-0kali3) kali-dev; urgency=medium

  * Add fix-ip-route-parser.patch to fix tests on armel, armhf

 -- Sophie Brun <sophie@freexian.com>  Fri, 23 Nov 2018 10:48:26 +0100

bettercap (2.11-0kali2) kali-dev; urgency=medium

  * Import upstream patch to fix build on i386
    of vendor/github.com/mdlayher/raw/
  * Import an upstream patch to handle correctly not compatible
    alias database

 -- Sophie Brun <sophie@freexian.com>  Thu, 22 Nov 2018 15:53:32 +0100

bettercap (2.11-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 21 Nov 2018 08:37:02 +0100

bettercap (2.10-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 05 Oct 2018 09:54:59 +0200

bettercap (2.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 12 Sep 2018 09:07:22 +0200

bettercap (2.8-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 21 Aug 2018 11:44:34 +0200

bettercap (2.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 24 Jul 2018 10:56:07 +0200

bettercap (2.6-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 14 May 2018 09:55:45 +0200

bettercap (2.5-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Update upstream git repository: now https://github.com/bettercap/bettercap
  * Update debian/* to the latest version: bettercap is now written in Golang
   (before it was in Ruby)

 -- Sophie Brun <sophie@freexian.com>  Wed, 02 May 2018 09:27:26 +0200

bettercap (1.6.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 22 Aug 2017 08:34:14 +0200



=== debian/control ===
Source: bettercap
Section: net
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
	       ca-certificates,
	       dh-golang,
	       golang-go,
	       libpcap-dev,
	       libnetfilter-queue-dev,
	       libusb-1.0-0-dev,
	       procps,
	       iproute2
Standards-Version: 4.5.0
Vcs-Git: https://nest.parrotsec.org/packages/tools/bettercap
Vcs-Browser: https://nest.parrotsec.org/packages/tools/bettercap
Homepage: https://www.bettercap.org
XS-Go-Import-Path: github.com/bettercap/bettercap

Package: bettercap
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: bettercap-caplets, iptables, iw, iproute2
Suggests: bettercap-ui
Built-Using: ${misc:Built-Using}
Description: Complete, modular, portable and easily extensible MITM framework
 This package contains a Swiss Army knife for 802.11, BLE and Ethernet networks
 reconnaissance and attacks.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
#export DH_GOPKG := github.com/bettercap/bettercap
export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor


%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go get -d
	go install ./...

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	go test ./...

override_dh_dwz:

=== debian/tests/control ===
Test-Command: debian/tests/runtests.sh test_start_bettercap
Restrictions: allow-stderr, needs-root
Depends: @, expect, bettercap-caplets

## bettercap 2.41.1

=== debian/changelog ===
bettercap (2.41.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.41.1 release
  * Update the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 03 Aug 2025 15:38:07 +0200

bettercap (2.40.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.40.0 release
  * Update the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 18 Nov 2024 20:58:36 +0200

bettercap (2.32.0-3kaisen) kaisen-packages; urgency=medium

  * Update the systemd service

 -- Mehdi Lecomte - Labrute! <labrute@kaisenlinux.org>  Sun, 30 Apr 2023 17:42:08 +0100

bettercap (2.32.0-2kaisen) kaisen-packages; urgency=medium

  * Update to remove bettercap update provide of Debian

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Apr 2022 15:15:46 +0100

bettercap (2.32.0-1kaisen) kaisen-packages; urgency=medium

  * Update at 2.32.0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Oct 2021 14:10:11 +0200

bettercap (2.31.1-1kaisen) kaisen-packages; urgency=medium

  * Update at 2.31.1

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 11 Jun 2021 16:10:37 +0200

bettercap (2.31.0-1kaisen) kaisen-packages; urgency=medium

  * Update at 2.31.0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 03 May 2021 17:33:46 +0200

bettercap (2.30.2-1kaisen1) kaisen-packages; urgency=medium

  * Update at 2.30.2

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 25 Mar 2021 22:25:17 +0200

bettercap (2.29-0kaisen1) kaisen-packages; urgency=medium

  * Update at 2.29

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 31 Jan 2021 15:54:22 +0200

bettercap (2.28-0kaisen1) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 24 Aug 2020 17:14:17 +0200

=== debian/control ===
Source: bettercap
Section: net
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>
Build-Depends: debhelper,
	       ca-certificates,
	       dh-golang,
	       golang-go (>= 1.24.4),
	       libpcap-dev,
	       libnetfilter-queue-dev,
	       libusb-1.0-0-dev,
	       procps,
	       iproute2,
Standards-Version: 4.5.0
Homepage: https://www.bettercap.org
Vcs-Git: https://gitlab.com/kaisenlinux/packages/bettercap.git
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/bettercap

Package: bettercap
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 ${misc:Built-Using},
	 libpcap0.8,
	 libusb-1.0-0,
	 libnetfilter-queue1,
Recommends: bettercap-caplets
Suggests: bettercap-ui
Replaces: kaisen-bettercap
Built-Using: ${misc:Built-Using}
Description: Complete, modular, portable and easily extensible MITM framework
 This package contains a Swiss Army knife for 802.11, BLE and Ethernet networks
 reconnaissance and attacks.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor
export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/_build

override_dh_auto_build:
	go build -mod=mod

override_dh_dwz:

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## bettercap 2.41.5

=== Makefile ===
TARGET   ?= bettercap
PACKAGES ?= core firewall log modules network packets session tls
PREFIX   ?= /usr/local
GO       ?= go
GOFMT    ?= gofmt

all: build

build: resources
	$(GO) build $(GOFLAGS) -o $(TARGET) .

build_with_race_detector: resources
	$(GO) build $(GOFLAGS) -race -o $(TARGET) .

resources: network/manuf.go

network/manuf.go:
	@python3 ./network/make_manuf.py

install:
	@mkdir -p $(DESTDIR)$(PREFIX)/share/bettercap/caplets
	@cp bettercap $(DESTDIR)$(PREFIX)/bin/

docker:
	@docker build -t bettercap:latest .

test:
	$(GO) test -covermode=atomic -coverprofile=cover.out ./...

html_coverage: test
	$(GO) tool cover -html=cover.out -o cover.out.html

benchmark: server_deps
	$(GO) test -v -run=doNotRunTests -bench=. -benchmem ./...

fmt:
	$(GOFMT) -s -w $(PACKAGES)

clean:
	$(RM) $(TARGET)
	$(RM) -r build

.PHONY: all build build_with_race_detector resources install docker test html_coverage benchmark fmt clean

=== debian/changelog ===
bettercap (2.41.5-0kali1) kali-dev; urgency=medium

  * Update my emails
  * Add missing build-deps
  * Update debian/watch to version 5
  * New upstream version 2.41.5
  * Fix the build: copy non go files in build dir
  * Add missing build-dep golang-github-gopacket-gopacket-dev
  * Fix the build for recent hashicorp-go-bexpr
  * Use golang-github-cenkalti-backoff-v4-dev not recent golang-github-cenkalti-backoff-dev

 -- Sophie Brun <sophie@kali.org>  Wed, 14 Jan 2026 16:29:45 +0100

bettercap (2.33.0-1kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Sync with Debian
  * Refresh patches
  * Add a patch to use the Kali package bettercap-ui

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Sep 2024 17:02:15 +0200

bettercap (2.32.0+git20230725-0kali2) kali-dev; urgency=medium

  * Fix debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Aug 2023 09:19:40 +0200

bettercap (2.32.0+git20230725-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Consistency with tabs to spaces
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 2.32.0+git20230725
  * Update lintian-overrides
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Aug 2023 11:28:56 +0200

bettercap (2.32.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.32.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Aug 2021 10:26:41 +0200

bettercap (2.31.1-0kali2) kali-dev; urgency=medium

  * Disable tests

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 May 2021 15:15:17 +0200

bettercap (2.31.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.31.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 May 2021 08:51:07 +0200

bettercap (2.31.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Sophie Brun ]
  * New upstream version 2.31.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Apr 2021 12:06:30 +0200

bettercap (2.30.2-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries: 2.29-0kali1.

  [ Sophie Brun ]
  * New upstream version 2.30.2
  * Bump Standards-Version to 4.5.1
  * Refresh patches
  * Update debian/bettercap.lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Mar 2021 11:20:52 +0100

bettercap (2.29-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 2.29

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Jan 2021 09:31:36 +0100

bettercap (2.28-0kali2) kali-dev; urgency=medium

  * Add a patch to display info about updates (see 6596)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jul 2020 16:51:23 +0200

bettercap (2.28-0kali1) kali-dev; urgency=medium

  * New upstream version 2.28

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Jul 2020 14:43:36 +0200

bettercap (2.27.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.27.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Apr 2020 10:57:02 +0200

bettercap (2.27-0kali1) kali-dev; urgency=medium

  * New upstream version 2.27

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Apr 2020 10:24:31 +0200

bettercap (2.26.1+git20200220-0kali1) kali-dev; urgency=medium

  * New upstream version 2.26.1+git20200220 (fixes 6123)
  * Add iw and iproute2 in Recommends

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2020 13:42:46 +0100

bettercap (2.26.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.26.1
  * Refresh patches
  * Remove build-deps and download them with go get
  * Update installation
  * Remove useless drop-failing-test-aliases.patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Oct 2019 10:33:41 +0200

bettercap (2.25-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 2.25

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2019 08:57:14 +0200

bettercap (2.24.1-0kali2) kali-dev; urgency=medium

  * Add a patch to fix usage of bettercap-ui
  * Add bettercap-ui in Suggests

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jul 2019 15:06:48 +0200

=== debian/control ===
Source: bettercap
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-acarl005-stripansi-dev (>= 0.0~git20180116.5a71ef0),
               golang-github-adrianmo-go-nmea-dev (>= 1.9.0),
               golang-github-antchfx-jsonquery-dev (>= 1.3.5),
               golang-github-bettercap-gatt-dev (>= 0.0~git20240808.ec4935e),
               golang-github-bettercap-nrf24-dev (>= 0.0~git20190219.aa37e6d),
               golang-github-bettercap-readline-dev (>= 1.4+git20210228.655e48b),
	       golang-github-cenkalti-backoff-v4-dev,
               golang-github-dustin-go-humanize-dev (>= 1.0.1),
               golang-github-elazarl-goproxy-dev (>= 1.1+git20240726.8b0c205),
	       golang-github-einride-can-go-dev,
               golang-github-evilsocket-islazy-dev (>= 1.11.0),
               golang-github-evilsocket-recording-dev (>= 0.0~git20190408.3ce1dcf),
               golang-github-florianl-go-nfqueue-dev (>= 2.0.0),
               golang-github-gobwas-glob-dev (>= 0.2.3+git20181002.e7a84e9),
               golang-github-google-go-github-dev,
               golang-github-google-gopacket-dev (>= 1.1.19),
               golang-github-google-gousb-dev (>= 1.1.3),
	       golang-github-gopacket-gopacket-dev,
               golang-github-gorilla-mux-dev (>= 1.8.1),
               golang-github-gorilla-websocket-dev (>= 1.5.3),
	       golang-github-hashicorp-go-bexpr-dev,
               golang-github-hashicorp-mdns-dev (>= 1.0.5),
               golang-github-jpillora-go-tld-dev (>= 1.2.1),
               golang-github-malfunkt-iprange-dev (>= 0.9.0),
               golang-github-mdlayher-dhcp6-dev (>= 0.0~git20190311.2a67805),
               golang-github-miekg-dns-dev (>= 1.1.61),
               golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
	       golang-github-phin1x-go-ipp-dev,
               golang-github-robertkrimen-otto-dev,
               golang-github-stratoberry-go-gpsd-dev (>= 1.3.0),
               golang-github-tarm-serial-dev,
               golang-github-thoj-go-ircevent-dev (>= 0.2+git20210723.73e4444),
               golang-golang-x-net-dev,
               golang-vhost-dev
Standards-Version: 4.6.2
Vcs-Git: https://gitlab.com/kalilinux/packages/bettercap.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/bettercap
Homepage: https://www.bettercap.org
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bettercap/bettercap

Package: bettercap
Architecture: any
Depends: ca-certificates,
         iproute2,
         iptables,
         iw,
         net-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bettercap-caplets, iptables, iw, iproute2
Suggests: bettercap-ui
Built-Using: ${misc:Built-Using}
Description: Complete, modular, portable and easily extensible MITM framework
 The Swiss Army knife for 802.11, BLE, IPv4 and IPv6 networks reconnaissance
 and MITM attacks.
 .
 bettercap is a powerful, easily extensible and portable framework  written
 in Go which aims to offer to security researchers, red teamers and reverse
 engineers an easy to use, all-in-one solution with all the features they
 might possibly need for performing reconnaissance and attacking WiFi
 networks, Bluetooth Low Energy devices, wireless HID devices and Ethernet
 networks.
 .
 Main Features:
  * WiFi networks scanning, deauthentication attack, clientless PMKID
    association attack and automatic WPA/WPA2 client handshakes capture.
  * Bluetooth Low Energy devices scanning, characteristics enumeration,
    reading and writing.
  * 2.4Ghz wireless devices scanning and MouseJacking attacks with
    over-the-air HID frames injection (with DuckyScript support).
  * Passive and active IP network hosts probing and recon.
  * ARP, DNS, NDP and DHCPv6 spoofers for MITM attacks on IPv4 and IPv6
    based networks.
  * Proxies at packet level, TCP level and HTTP/HTTPS application level
    fully scriptable with easy to implement javascript plugins.
  * A powerful network sniffer for credentials harvesting which can also be
    used as a network protocol fuzzer.
  * A very fast port scanner.
  * A powerful REST API with support for asynchronous events notification
    on websocket to orchestrate your attacks easily.
  * A very convenient web UI.
  * More! (https://www.bettercap.org/modules/)
 .
 This package contains a Swiss Army knife for 802.11, BLE and Ethernet networks
 reconnaissance and attacks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	dh_auto_test || echo "Test suite failure, but keeping on anyway"

execute_before_dh_auto_build:
	# copy non go files for the build
	cp -r modules/ui/ui _build/src/github.com/bettercap/bettercap/modules/ui/

=== debian/watch ===
Version: 5
Template: Github
Owner: bettercap
Project: bettercap
